#ifndef _WORD_H
#define _WORD_H

#include <iostream.h>
#include "apstring.h"

class Word
{
  public:
  
    Word(const apstring & s);
      
    void Print(ostream & output) const;
    bool Contains(char ch)       const;
    bool IsGuessed()             const;
    
    void ProcessLetter(char ch);
    void MakeKnown();
      
  private:
    
    apstring myString;
    apstring myDisplay;
      
};

#endif