#ifndef _WORDSOURCE_H
#define _WORDSOURCE_H

#include "apstring.h"
#include "apvector.h"

class WordSource
{
  public:
    WordSource();
    void Load(const apstring & filename);
    
    apstring GetString();
    
  private:
  
    void Shuffle();
    
    apvector<apstring> myWords;
    int                myCount;   // # entries in myWords
    int                myCurrent; // which random word
};

#endif