#include "alphabet.h"
#include <ctype.h>     // for tolower

// const int Alphabet::ALPH_SIZE = 256;

Alphabet::Alphabet()
  : ALPH_SIZE(256),
    myList(ALPH_SIZE)
{
    Reset();
}

void Alphabet::ProcessLetter(char ch)
{
    myList[tolower(ch)] = true;
}

void Alphabet::Print(ostream & output) const
{
    char k;
    for(k='a'; k <= 'z'; k++)
    {
        if (! myList[k])
        {
            output << k;
        }
        else
        {
            cout << ' ';
        }
        cout << ' ';
    }
    cout << endl << endl;
}

bool Alphabet::IsLetterUsed(char ch) const
{
    return myList[tolower(ch)];
}

void Alphabet::Reset()
{
    char k;
    for(k='a'; k <= 'z'; k++)
    {
        myList[k] = false;
    }
}